package com.zjrs.zwnw.dbgl.dto;

import org.hibernate.validator.constraints.Length;

import jakarta.validation.constraints.NotBlank;


public class DbrwglDbrwUDTO{
        private String rsdbgldbrwlsh;       //督办任务表流水号
        private String dbbh;       //督办编号
        @NotBlank(message = "任务来源分类不能为空")
        private String rwlyfl;       //任务来源分类
        @NotBlank(message = "任务来源不能为空")
        @Length(max = 1000,message = "任务来源最多只能输入1000个字符")
        private String rwly;       //任务来源
        @Length(max = 200,message = "文号最多只能输入200个字符")
        private String wh;       //文号
        @Length(max = 400,message = "发文单位最多只能输入400个字符")
        private String fwdw;       //发文单位
        private String fwsj;       //发文时间
        @NotBlank(message = "填报周期不能为空")
        private String tbzq;       //填报周期
        @NotBlank(message = "首次填报截止日期不能为空")
        private String sctbjzrq;       //首次填报截止日期
        @NotBlank(message = "任务结束日期不能为空")
        private String rwjsrq;       //任务结束日期
        @NotBlank(message = "黄灯预警（自然日）不能为空")
        @Length(max = 3,message = "黄灯预警最多只能输入3位")
        private String yellowyj;       //黄灯预警（自然日）
        @NotBlank(message = "红灯预警（自然日）不能为空")
        @Length(max = 3,message = "红灯预警最多只能输入3位")
        private String redyj;       //红灯预警（自然日）
        private String pfzt;       //派发状态
        private String pfsj;       //派发时间
        private String pfr;       //派发人
        private String rwzt;       //任务状态
        private String jssj;       //结束时间
        private String jsr;       //结束人
        private String sdpj;       //速度评价
        private String zlpj;       //质量评价
        private String pjms;       //评价描述
        private String pjr;       //评价人
        private String pjjg;       //评价机构
        private String pjsj;       //评价时间
        private String tsyxbz;       //有效标志
        private String glyq;       //办理要求

        public String getGlyq() {
                return glyq;
        }

        public void setGlyq(String glyq) {
                this.glyq = glyq;
        }

        public String getPfsj() {
                return pfsj;
        }

        public void setPfsj(String pfsj) {
                this.pfsj = pfsj;
        }

        public String getPfr() {
                return pfr;
        }

        public void setPfr(String pfr) {
                this.pfr = pfr;
        }

        public String getJsr() {
                return jsr;
        }

        public void setJsr(String jsr) {
                this.jsr = jsr;
        }

        public String getRsdbgldbrwlsh() {
                return rsdbgldbrwlsh;
        }

        public void setRsdbgldbrwlsh(String rsdbgldbrwlsh) {
                this.rsdbgldbrwlsh = rsdbgldbrwlsh;
        }

        public String getDbbh() {
                return dbbh;
        }

        public void setDbbh(String dbbh) {
                this.dbbh = dbbh;
        }

        public String getRwlyfl() {
                return rwlyfl;
        }

        public void setRwlyfl(String rwlyfl) {
                this.rwlyfl = rwlyfl;
        }

        public String getRwly() {
                return rwly;
        }

        public void setRwly(String rwly) {
                this.rwly = rwly;
        }

        public String getWh() {
                return wh;
        }

        public void setWh(String wh) {
                this.wh = wh;
        }

        public String getFwdw() {
                return fwdw;
        }

        public void setFwdw(String fwdw) {
                this.fwdw = fwdw;
        }

        public String getFwsj() {
                return fwsj;
        }

        public void setFwsj(String fwsj) {
                this.fwsj = fwsj;
        }

        public String getTbzq() {
                return tbzq;
        }

        public void setTbzq(String tbzq) {
                this.tbzq = tbzq;
        }

        public String getSctbjzrq() {
                return sctbjzrq;
        }

        public void setSctbjzrq(String sctbjzrq) {
                this.sctbjzrq = sctbjzrq;
        }

        public String getRwjsrq() {
                return rwjsrq;
        }

        public void setRwjsrq(String rwjsrq) {
                this.rwjsrq = rwjsrq;
        }

        public String getYellowyj() {
                return yellowyj;
        }

        public void setYellowyj(String yellowyj) {
                this.yellowyj = yellowyj;
        }

        public String getRedyj() {
                return redyj;
        }

        public void setRedyj(String redyj) {
                this.redyj = redyj;
        }

        public String getPfzt() {
                return pfzt;
        }

        public void setPfzt(String pfzt) {
                this.pfzt = pfzt;
        }

        public String getRwzt() {
                return rwzt;
        }

        public void setRwzt(String rwzt) {
                this.rwzt = rwzt;
        }

        public String getSdpj() {
                return sdpj;
        }

        public void setSdpj(String sdpj) {
                this.sdpj = sdpj;
        }

        public String getZlpj() {
                return zlpj;
        }

        public void setZlpj(String zlpj) {
                this.zlpj = zlpj;
        }

        public String getPjms() {
                return pjms;
        }

        public void setPjms(String pjms) {
                this.pjms = pjms;
        }

        public String getPjr() {
                return pjr;
        }

        public void setPjr(String pjr) {
                this.pjr = pjr;
        }

        public String getPjjg() {
                return pjjg;
        }

        public void setPjjg(String pjjg) {
                this.pjjg = pjjg;
        }

        public String getPjsj() {
                return pjsj;
        }

        public void setPjsj(String pjsj) {
                this.pjsj = pjsj;
        }

        public String getJssj() {
                return jssj;
        }

        public void setJssj(String jssj) {
                this.jssj = jssj;
        }

        public String getTsyxbz() {
                return tsyxbz;
        }

        public void setTsyxbz(String tsyxbz) {
                this.tsyxbz = tsyxbz;
        }
}
